View Issue Details

IDProjectCategoryView StatusLast Update
0000495FreeCADBugpublic2021-03-02 23:17
Reporternormandc Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status confirmedResolutionopen 
Target Version0.20 
Summary0000495: Inconsistent translations for workbench names
DescriptionCurrently in latest FreeCAD source, translation for workbench names is inconsistent:

- Some workbenches toolbar names are translated (in View --> Toolbars menu)
- Some workbench specific menu names are translated, some aren't. For example, when the workbench selector is set to a specific workbench, the workbench menu name is not translated. The Raytracing menu name is in English (but its contents are translated). But if in complete workbench mode, then most of the workbench menus are translated.
- In the workbench selector, the workbench names are not translated.

This should require some consideration.

I realize that translating the workbench names is a delicate matter as it could complicate communication on the forums with users of other languages. But I believe that a wholly translated interface is preferable, as some English names don't have signification to users of other languages. (For example: the distinction between Draft and Drawing can be lost on French users)
Additional InformationI'll try to post screenshots shortly.
Tagslocale, translation
FreeCAD Information

Activities

Jriegel

2011-11-27 18:00

administrator   ~0001357

We have different levels of translations. Thats IMO not a bug.
Besides there is a string not showing up on crowdin, that would be a bug!

Otherwise its a encouragement for the translaters and I will close this "bug" ;)

normandc

2011-11-27 18:16

manager   ~0001362

Please explain what you mean by different levels of translation.

Right now, I have workbench menu names showing either in French or in English depending on if I've set the complete workbench, or if the workbench selector is set to a specific workbench. Then the workbench selector itself is not translated. How is that no a bug? And why isn't a single string used for the 3 use cases?

yorik

2011-11-27 19:12

administrator   ~0001364

I think workbench names are specified in their InitGui file, which is why they are not taken into account by the translation system. Since workbenches are activated/deactivated by name internally, changing this will require serious changes in the code. Sincerely I'm not sure it's worth the work...

Their contents (toolbars, menu entries, etc) on the other hand, is taken into account by translation mechanisms and should be 100% translated. If something is missing (provided all crowdin strings are translated of course), indeed it is a bug (probably some string internally which isn't using a translation function). I suggest you make a list here with what you see that isn't translated, we'll need to go one by one...

But I'm not sure it's a showstopper for 0.12... There will probably be more than a couple, and at this rate that release will never be out ;) My opinion is more to see translations as a work in progress, and refine progressively...

normandc

2011-11-27 19:43

manager   ~0001365

What I want to make sure of is to get a sense of the direction we go. If we decide that workbench names should not (or cannot) be translated, then I will have to revert all the translations where I have translated them. And that includes the Wiki documentation...

So that to prevent inconsistencies in v0.12...

2011-11-29 02:06

 

FC_complete.png (Attachment missing)

2011-11-29 02:07

 

FC_draft_workbench.png (Attachment missing)

2011-11-29 02:07

 

FC_Draft_toolbar.png (Attachment missing)

normandc

2011-11-29 02:21

manager   ~0001373

I finally made screen captures.

I used the Draft module as an example.

First one shows the Complete workbench with all the workbench menus translated. Draft menu here is called "Planche à dessin".

Second one shows the Draft workbench interface. Both the Draft menu and the workbench selector show "Draft" instead of "Planche à dessin". This is an inconsistency in my opinion.

The third one shows that the Draft toolbar name is indeed translated. At this point I didn't know what to do anymore so I named it "Outils Draft" for the time being.

I'd rather have the name "Planche à dessin" put everywhere but I can understand if this can't be done in v0.12. But I would like to know if it'll be possible later though. As I said otherwise I'll have to change the wiki French translation accordingly.

So, should this be considered a bug? feature request?

P.S. Yorik, since it's your module you may also not like the chosen name? It was first named that way by mrchep and I thought it fitting, and easy to visualize its purpose by French users.

yorik

2011-11-29 12:08

administrator   ~0001375

Normally in latest revision all appearences of "Draft" in menus can be translated. Check if the crowdin stuff is OK, then I'll add them again to the sources. For the other workbenches we need to see which ones don't translate correctly.

For me the name is fine, being Draft or Planche à dessin...

But one thing I'll not be able to change is how the workbench names appear in the workbenches dropdown box. If this will be possible in the future or not is more up to Jürgen or Werner, and it would probably require some heavy changes to the source code...

Jriegel

2012-12-20 22:15

administrator   ~0002728

I will move the Workbench selector to a menu structure for the most common
workbenches. So we have a translation and more information...

yorik

2015-01-25 16:09

administrator   ~0005734

There are still inconsistencies in translations ("Draft" is not translated equally on crowdin (sometimes "Planche à dessin", sometimes "Ébauche" , sometimes "Draft"), same problem in other languages too...

But outside that problem all python-generated menus appear now to be correctly translated.

The only thing missing is to translate the WB selector itself. I believe this is possible (in Gui/Actions.cpp, class WorkbenchComboBox), it looks like the individual actions that compose the selector are always get/set by their objectName, so there would be no problem in setting their displayed text to something else, but I'm not too sure where to get the translations...

Kunda1

2017-05-30 23:48

administrator   ~0009205

@yorik is this still the case?

Kunda1

2017-05-30 23:49

administrator   ~0009206

@normandc can you recheck this please when you have a moment?

yorik

2017-05-31 16:38

administrator   ~0009225

Yes it is still the case, workbench names are not trasnlated in the workbench selector. I think there was a discussion about that on the forum in the past...

Kunda1

2017-06-10 04:53

administrator   ~0009327

@yorik I searched the forum but no joy. Do you mind trying to find this thread and associating it to this ticket?

yorik

2017-06-13 17:24

administrator   ~0009356

Cannot find it back... I guess it was spread over several discussions...

Kunda1

2017-06-13 21:49

administrator   ~0009359

@yorik do you think this should make it in to 0.17?

yorik

2017-06-14 01:21

administrator   ~0009360

I don't know how to handle this, so I couldn't say...

Kunda1

2017-06-14 12:44

administrator   ~0009366

Opened new forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=22936&p=178016

Kunda1

2018-06-13 13:25

administrator   ~0011420

Unassigning Jriegel

MaurinoWeb

2021-03-02 22:13

reporter   ~0015474

Last edited: 2021-03-02 22:15

View 2 revisions

Hello everybody
I allowed myself to comment here thanks to the invitation of @Kunda1 in this post https://forum.freecadweb.org/viewtopic.php?f=8&t=56067
I am a simple FreeCAD user and my comment is of the same level, this message is only the my modest opinion...

I believe that in FreeCAD the names of the WB must remain in English which is the main language chosen, this avoids confusion and does not disperse users that follow tutorials in other languages​​... for example blender has did an "extreme" choice to use only english, but it worked!
The choice in FreeCAD to translate all languages ​​has more style, but if we also translate the names of the WB, in my opinion, we lose the benefits and increase the work of the translators without obtaining any advantages in return (I translated very little and I don't write as a translator, it's just my thought).

What are the benefits of translating WB names? Personally I see few and of minimal importance, but I also see some disadvantages...

--> Bi-lingual users will not be so quick in change WB when they switch languages ​​in FreeCAD, and this will annoy at the beginning and even after.
--> Beginner mono-language users following a tutorial of another language will have more difficulty of the normal.
--> Wiki SEO optimization can be less targeted and less efficient (to check, maybe just more SEO work to avoid it?)
--> The results of the search engines will be dispersed in the translations of the WB names, with the risk that the user, in addition to translating the "search phrase", must also remember to translate the most important word, the "WB name" this does not help. (to check, maybe just more SEO work to avoid it?) same thing if a user wants to ask for help in the English forum.
--> All written or recorded tutorials to date will be out of date.
--> All the linguistic habits achieved up to now regarding WB will be lost, for which PRO?

I realize that they are "small" disadvantages, but they increase "confusion"... Even today several FreeCAD users complain about the confusion, some love FreeCAD, but they say it anyway... so we should avoid adding more, even if minimal.

I agree that this "confusion" often does not exist, and it is only the user who remains attached to the old experiences, or maybe is only used to the "ready meals" of commercial software, but nothing can be done about this.

I can change my mind about anything I've written if it's wrong, I hate beliefs and love the benefit of the doubt, so if something escapes me I'll be happy to understand it, thank you.

I apologize for the bad English, written with the help of google translated.
A greeting and thanks for all the work done to date, you are great!

MaurinoWeb

2021-03-02 23:17

reporter   ~0015475

An example that concerns only the SEO with the changes of WB names.
Recently the name of the part design workbench has been translated into Italian in "ambiente disegnopezzo"

I find it smart to translate "workbench" but the rest(wb names) should be a fixed word, so the user has the help of the translated "workbench" to understand choise what is, but the WB names is part of the FreeCAD fixed terminology and will soon learn.

Now looking at html of the view-source:https://wiki.freecadweb.org/PartDesign_Workbench/it
you can see that in the <title> tag there is no term as in the url, this is not recommended.
it is also not recommended to change the <title> since it is an official documentation, now if we write in google "ambiente part design" in the "search result" still has the "old" title (ambiente part design) while duckduckgo has already been updated (ambiente disegnopezzo), soon google will update too.
We are not helping the search engines, so one day it could better position a site with a seo-friendly html and find the official documentation under the results, in English no, but in other languages ​​it could happen and these changes do not help.

So imagining all the WB names translated, I confirm my concern that in all languages ​​other than English there will be scattered rankings with different "key phrases" in search engines... this won't help over time.

a greeting

Issue History

Date Modified Username Field Change
2011-11-27 05:56 normandc New Issue
2011-11-27 18:00 Jriegel Note Added: 0001357
2011-11-27 18:16 normandc Note Added: 0001362
2011-11-27 19:12 yorik Note Added: 0001364
2011-11-27 19:43 normandc Note Added: 0001365
2011-11-29 02:06 normandc File Added: FC_complete.png
2011-11-29 02:07 normandc File Added: FC_draft_workbench.png
2011-11-29 02:07 normandc File Added: FC_Draft_toolbar.png
2011-11-29 02:21 normandc Note Added: 0001373
2011-11-29 12:08 yorik Note Added: 0001375
2012-12-20 22:15 Jriegel Note Added: 0002728
2012-12-20 22:15 Jriegel Assigned To => Jriegel
2012-12-20 22:15 Jriegel Status new => assigned
2012-12-20 22:15 Jriegel Target Version => 0.14
2014-06-25 12:10 wmayer Target Version 0.14 => 0.15
2015-01-25 15:48 yorik Target Version 0.15 =>
2015-01-25 16:09 yorik Note Added: 0005734
2017-02-02 21:21 Kunda1 Tag Attached: locale
2017-02-02 21:21 Kunda1 Tag Attached: translation
2017-05-30 23:48 Kunda1 Note Added: 0009205
2017-05-30 23:49 Kunda1 Target Version => 0.17
2017-05-30 23:49 Kunda1 Note Added: 0009206
2017-05-31 16:38 yorik Note Added: 0009225
2017-05-31 17:34 Kunda1 Tag Attached: #post-to-forum
2017-06-10 04:53 Kunda1 Note Added: 0009327
2017-06-13 17:24 yorik Note Added: 0009356
2017-06-13 21:49 Kunda1 Note Added: 0009359
2017-06-14 01:21 yorik Note Added: 0009360
2017-06-14 12:44 Kunda1 Note Added: 0009366
2017-06-14 12:44 Kunda1 Tag Detached: #post-to-forum
2017-12-02 14:47 wmayer Target Version 0.17 => 0.18
2018-06-13 13:25 Kunda1 Assigned To Jriegel =>
2018-06-13 13:25 Kunda1 Status assigned => confirmed
2018-06-13 13:25 Kunda1 Note Added: 0011420
2019-01-16 14:49 wmayer Target Version 0.18 => 0.19
2021-02-06 06:50 abdullah Target Version => 0.20
2021-03-02 22:13 MaurinoWeb Note Added: 0015474
2021-03-02 22:15 MaurinoWeb Note Edited: 0015474 View Revisions
2021-03-02 23:17 MaurinoWeb Note Added: 0015475